/*
 * OtroCampoVacioParaValordelCampoCompuesto.java
 *
 * Created on 10 de abril de 2007, 11:36 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * 
 * @author Julian
 */
public class OtroCampoVacioParaValordelCampoCompuestoBDUA extends AbstractRule {

	/** Creates a new instance of CampoLlenoParaUnValorDiferenteDeOtroCampo */

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {

		String tpdccafil = registro[new Integer((String) getParams()[1])
				.intValue()];
		String numdccafil = registro[new Integer((String) getParams()[3])
				.intValue()];
		String parentesco = registro[new Integer((String) getParams()[2])
				.intValue()];

		System.out.println("tpdccafil: " + tpdccafil);
		System.out.println("numdccafil: " + numdccafil);
		System.out.println("parentesco: " + parentesco);
		System.out.println("getParams()[4]: " + getParams()[4]);

		// C,2,13,1 ///C,1,24,2,1
		// field= tipo de afiliado
		//

		if (getParams()[0].equals(field)
				&& ((tpdccafil == null || tpdccafil.length() == 0) || (numdccafil == null || numdccafil
						.length() == 0)) && parentesco.equals(getParams()[4])) {
			return true;
		}

		return false;
	}

}
